| Classes - Annotated - Tree - Functions - Home - Structure

# QTab Class Reference

The structures in a QTabBar. More...

`#include <qtabbar.h>`

List of all member functions.

## Public Members

- QTab ()
- virtual ~QTab ()
- QTab ( const QString & text )
- QTab ( const QIconSet & icon, const QString & text = QString::null )

## Detailed Description

The structures in a QTabBar.

For custom QTabBar tab headings.

See also QTabBar.

## Member Function Documentation

### QTab::QTab ()

Constructs an empty tab. All fields are set to empty.

### QTab::QTab ( const QIconSet & icon, const QString & text = QString::null )

Constructs a tab with an icon and a text.

### QTab::QTab ( const QString & text )

Constructs a tab with a text.

### QTab::~QTab () `[virtual]`

Destructs the tab and frees up all allocated resources.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.